/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.ParadaSecuencia;
import com.rjconsultores.ventaboletos.entidad.Via;

/**
 * 
 * @author Rafius
 */
public class RenderCatalogoDeRutasSecuencia implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		ParadaSecuencia ps = (ParadaSecuencia) o;

		Listcell lc = new Listcell(ps.getSecuencia().toString());
		lc.setParent(lstm);

		Parada parada = ps.getParada();
		if (parada != null) {
			lc = new Listcell(parada.getCveparada() + " - " + parada.getDescparada());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		Via via = ps.getVia();
		if (via != null) {
			lc = new Listcell(via.getNombvia());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);
		
		String casetas = ps.getCasetasTxt();
		if (via != null) {
			lc = new Listcell(casetas);
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);
		
		lc = new Listcell((ps.getKmReal() == null) ? "" : ps.getKmReal());
		lc.setParent(lstm);
		
		lc = new Listcell((ps.getTempoReal() == null) ? "" : ps.getTempoReal());
		lc.setParent(lstm);		

		lstm.setAttribute("data", ps);
	}
}
